## com.google.javascript.jscomp.graph
Interface FixedPointGraphTraversal.EdgeCallback<Node,Edge>

All Known Implementing Classes:
  GraphReachability

Enclosing class:
  FixedPointGraphTraversal<N,E>

    public static interface FixedPointGraphTraversal.EdgeCallback<Node,Edge>

Method Summary
`boolean` | `traverseEdge(Node source, Edge e, Node destination)` Update the state of the destination node when the given edge is traversed.

Method Detail

### traverseEdge

    boolean traverseEdge(Node source,
                         Edge e,
                         Node destination)

  Update the state of the destination node when the given edge is traversed. For the fixed-point computation to work, only the destination node may be modified. The source node and the edge must not be modified.

  Parameters:
    `source` - The start node.
    `e` - The edge.
    `destination` - The end node.
  Returns:
    Whether the state of the destination node changed.